using eSuite.Core.MailService;
using NUnit.Framework;

namespace eSuite.Core.UnitTests;

[TestFixture]
public class MailRequestUnitTests
{
    [Test]
    public void NewObject_Created_PropertiesProperlyCreated()
    {
        //Arrange
        //Act
        var mailRequest = new MailRequest();

        //Assert
        Assert.That(mailRequest.To, Is.Not.Null);
        Assert.That(mailRequest.EmailType, Is.Not.Null);
        Assert.That(mailRequest.Parameters, Is.Not.Null);
    }

    [Test]
    public void MailRequest_Created_CanSetMailType()
    {
        //Arrange
        //Act
        var mailRequest = new MailRequest
        {
            EmailType = MailType.DisableAuthenticator
        };

        //Assert
        Assert.That(mailRequest.EmailType, Is.EqualTo(MailType.DisableAuthenticator));
    }
}